import { makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

class TagConfig {
    static LIST: string = "tag/list"
    static ADD: string = "tag"
    static DELETE: string = "tag"
    static EDIT: string = "tag"
}
class TagStore extends BaseStore<TagDataType> {
    constructor() {
        super(TagConfig)
        makeObservable(this, {})
    }
}

export const tagStore = new TagStore();
export default tagStore;
 